Subject: Re: bug#33871: 27.0.50; Revert Dired window saved in window configuration

From: martin rudalics <[email-masked]>
Date: Thu, 28 Mar 2024 10:18:12 +0100

> So now here is the final patch:

For 'window-point-context-set' I'd rather write something like:

   Call function specified by `window-point-context-set-function' for every
   live window on the selected frame with that window as sole argument and
   that window's buffer current.  The function called is supposed to return
   a context of the window's point that can be later used as argument for
   `window-point-context-use'.  Remember the returned context in the window
   parameter `context'.

+function is called with two agreements: the window and the context data
                              ^^^^^^^^^^

I still don't get why you use 'with-current-buffer' here.  IIUC usually
a buffer does not have 'window-point-context-set-function' set and so a
simple

(buffer-local-value 'window-point-context-set-function (window-buffer w))

should suffice.

martin